<%--
 * Component:
 *     help
 *
 * Description:
 *     displays server help
 *
 *
 * @param cLanguage  display help files for the requested language. (hu_HU, pt_BR, ...)
 *                   Default: English (en_US). Falls back to default language if help files in the requested language do not exist.
 *
 * @param cPage      start page (defaults to whnjs.htm for chrome and to index.htm otherwise)
 *
 * @param cProduct   display help files for the requested product type.
 *                   supported values
 *                     - EP (eRAD PACS server help files)
 *                     - ER (eRAD RIS/PACS server help files)
 *                     - PB (PracticeBuilder 1-2-3 server help files)
 *                     - auto (default - display the help files according to the servers Product Type settings)
--%><%@
	page import="java.io.File,imagemed.imsession.*,imagemed.util.*,imagemed.jsputil.DicomSrvToolbox"

%><%@
	page errorPage="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession( request, response, out ); 
	if ( !is.regOK() ) {
		return;
	}

	String pageId = request.getParameter( "cPage" );
	String parProduct = request.getParameter( "cProduct" );
	String parLanguage = request.getParameter( "cLanguage" );
	
	response.sendRedirect( Helper.getHelpURL( is, parLanguage, parProduct, pageId ) );
			
	if ( true ) {
		return;
	}
%>
